# Mounted Directory Download Fix

Fixes maps in custom search paths not being downloadable.

As posted in the [CSRD update for 25 September 2016][csrd-20160925], there is a bug with the
download list generation that prevents custom maps in manually-defined search paths (that is, 
ones that are added with `-insert_search_path`) from being added to the download table; clients
were not able to download the map from the server if they didn't have it.

This plugin's only purpose is to work around that issue.

[csrd-20160925]: http://csrd.science/blag/2016/csrd-update-25-september-2016.html


## A "CSRD Internal" Plugin

This is a plugin mainly intended for use in [Pikachu's Canadian Server of Romance and
Drama][csrd].

While I'm happy if you find some useful code for your own plugins, I can't provide any support
for said code, nor will I offer any guarantees that the plugin will remain usable outside of its
main use.

[csrd]: https://csrd.science/